package binders

// |@@| C

import (
	"context"
	"gardening/src/dat/maes"
	"github.com/gin-gonic/gin"
)

type PerformAnalyseAppBinder struct {
}

func (this *PerformAnalyseAppBinder) Bind(ctx context.Context, in *maes.PerformAnalyseMaeIn, c *gin.Context) error {
	this.bindRequest(ctx, in, c)
	return nil
}
func (this *PerformAnalyseAppBinder) bindRequestForm(ctx context.Context, in *maes.PerformAnalyseMaeIn, c *gin.Context) error {
	return nil
}
func (this *PerformAnalyseAppBinder) bindRequest(ctx context.Context, in *maes.PerformAnalyseMaeIn, c *gin.Context) error {
	this.bindRequestForm(ctx, in, c)
	return nil
}
